Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.querybuilder
Class KeyValueConfiguration

    java.lang.Object
      com.sun.mdm.index.configurator.impl.querybuilder.KeyValueConfiguration

All Implemented Interfaces:
  ConfigurationInfo, java.io.Serializable

public class KeyValueConfiguration
extends java.lang.Object
implements ConfigurationInfo

Key Value Configuration.

See Also:
  Serialized Form

Constructor Summary
`KeyValueConfiguration()` Creates new KeyValueConfiguration

Method Summary
`int` | `finish()` Finish.
`boolean` | `getBooleanValue(java.lang.String key)` Get boolean option value.
`java.lang.String` | `getModuleType()` Get module type name.
`int` | `init()` Initialize.
`void` | `parse(org.w3c.dom.Node topNode)` Parse an XML node.
`java.lang.String` | `toString()` String representation of the KeyValueCOnfiguration class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyValueConfiguration

    public KeyValueConfiguration()

  Creates new KeyValueConfiguration

Method Detail

### finish

    public int finish()

  Finish.

  Specified by:
    `finish` in interface `ConfigurationInfo`
  Returns:
    result code.

### getBooleanValue

    public boolean getBooleanValue(java.lang.String key)
                            throws ConfigurationException

  Get boolean option value.

  Parameters:
    `key` - option name
  Returns:
    true or false
  Throws:
    `ConfigurationException` - if there is an error in parsing the configuration XML file.

### getModuleType

    public java.lang.String getModuleType()

  Get module type name.

  Specified by:
    `getModuleType` in interface `ConfigurationInfo`
  Returns:
    module type

### init

    public int init()

  Initialize.

  Specified by:
    `init` in interface `ConfigurationInfo`
  Returns:
    result code.

### parse

    public void parse(org.w3c.dom.Node topNode)
               throws ConfigurationException

  Parse an XML node.

  Specified by:
    `parse` in interface `ConfigurationInfo`
  Parameters:
    `topNode` - XML node starting the configuration node.
  Throws:
    `ConfigurationException` - if there is an error in parsing the configuration XML file.

### toString

    public java.lang.String toString()

  String representation of the KeyValueCOnfiguration class.

  Returns:
    String representation of the KeyValueCOnfiguration class.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.